<template>
  <v-container fluid fill-height>
    <v-layout align-center justify-center>
      <v-flex xs12 sm8 md4>
        <img src="" alt="" class="image-logo">
        <v-card class="elevation-12">
          <form>
            <v-card-text>

              <v-card-text>
                <input type="text" v-model="email">
              </v-card-text>
              <v-card-text>
                <input type="text" v-model="username">
              </v-card-text>
              <v-card-text>
                <input type="text" v-model="password">
              </v-card-text>

              <v-card-actions class="action-card">
                <v-btn color="info" @click="submit">Register</v-btn>
              </v-card-actions>

              <v-divider></v-divider>
              <div class="extra-card">
                <p>Do you already have an account?
                  <router-link :to="{name: 'Login'}">Login</router-link>
                </p>
              </div>

            </v-card-text>
          </form>
        </v-card>
      </v-flex>
    </v-layout>
  </v-container>
</template>

<script>
import {HOST_API} from "../../vars";


export default {

  data: () => ({
    email: '',
    username: '',
    password: '',
  }),

  mounted() {
  },

  methods: {
    submit() {
      this.onRegister()
    },
    onRegister() {
      // TODO: Pending verified Api received data
      console.log(this.username)
      console.log(this.password)
      console.log(this.email)
      fetch(HOST_API + '/api/auth/users/', {
        method: 'POST',
        body: JSON.stringify({
          username: this.username,
          email: this.email,
          password: this.password
        }),
        headers: {
          'Content-Type': 'application/json'
        }
      }).then(res => res.json())
          .catch(error => console.error('Error:', error))
          .then(response => {
            console.log(response)
          });
    }
  }
}
</script>

<style scoped>
/* TODO: Pending adjusted design */
.image-logo {
  width: 40%;
  margin-bottom: 20px;
}

.action-card {
  display: flex;
  justify-content: center;
}

.extra-card {
  padding: 20px 0;
}
</style>